TakenAt: 2025-09-03T00:00:00Z
TakenAtLocal: 2025-09-03T00:00:00Z
TakenSrc: name
UID: pt67vei5o900883c
Type: image
Title: Screenshot 2025 09 / 2025
TimeZone: Local
Year: 2025
Month: 9
Day: 3
Quality: 1
Details:
  Keywords: screenshot, screenshots, white
CreatedAt: 2025-11-24T06:01:30Z
UpdatedAt: 2025-11-24T09:15:13Z
